#pragma once
#include "Shared.h"
#include <SDL3/SDL.h>

class EngineWindow
{
    static constexpr uint32_t MaxEventBufferSize = 16;

  public:
    SDL_Window* Window;
    bool CloseRequested = false;
    SDL_Event EventBuffer[MaxEventBufferSize];

  public:
    void Startup(SharedWindowData& Shared);
    void Update(SharedWindowData& Shared);
    void Shutdown();
};
